srecord: srecord::memory_walker_writer Class Reference

srecord 1.65.0

Loading...
Searching...
No Matches
srecord::memory_walker_writer Class Reference

The srecord::memory_walker_writer class is used to write data to an output stream when a memory image is walked. More...

`#include <writer.h>`

Inheritance diagram for srecord::memory_walker_writer:
[legend]
Collaboration diagram for srecord::memory_walker_writer:
[legend]

## Public Member Functions
virtual | ~memory_walker_writer ()
| the destructor.
Public Member Functions inherited from srecord::memory_walker
virtual | ~memory_walker ()
| The destructor.
virtual void | observe_end (void)
| The observe_end method is called once all of the data blocks have been passed to the observer via the observe() method.
virtual void | notify_upper_bound (unsigned long address)
| The notify_upper_bound method is used to notify the walker of the upper bound (highest address plus one) of the observe calls to come.

## Static Public Member Functions
static pointer | create (const output::pointer &deeper)
| The create class method is used to create new dynamically allocated instances of this class.

## Protected Member Functions
virtual void | observe (unsigned long, const void *, int)
| The observe method is used by the memory walker to provide data.
void | notify_upper_bound (long unsigned)
void | observe_header (const record *)
| The observe_header method is used to inform the walker of the header record.
void | observe_start_address (const record *)
| The observe_start_address method is used to inform the walker of the execution start address record.
Protected Member Functions inherited from srecord::memory_walker
| memory_walker ()
| The default constructor.

## Additional Inherited Members
Public Types inherited from srecord::memory_walker
typedef std::shared_ptr< memory_walker > | pointer

## Detailed Description

The srecord::memory_walker_writer class is used to write data to an output stream when a memory image is walked.

Definition at line 32 of file writer.h.

## Constructor & Destructor Documentation

## ◆ ~memory_walker_writer()

virtual srecord::memory_walker_writer::~memory_walker_writer | ( |  | ) |
| virtual

the destructor.

## Member Function Documentation

## ◆ create()

pointer srecord::memory_walker_writer::create | ( | const output::pointer & | deeper | ) |
| static

The create class method is used to create new dynamically allocated instances of this class.

Parameters

  deeper | where to write the output

## ◆ observe()

virtual void srecord::memory_walker_writer::observe | ( | unsigned long | address,
|  | const void * | data,
|  | int | data_size )
| protectedvirtual

The observe method is used by the memory walker to provide data.

Derived classes are required to impliment this method, and do something with the data.

Parameters

  address | The base address of this chunk of memory.
  data | The base address of this chunk of memory in memory.
  data_size | The size, in bytes, of this chunk of memory.

Implements srecord::memory_walker.

## ◆ notify_upper_bound()

void srecord::memory_walker_writer::notify_upper_bound | ( | long unsigned |  | ) |
| protected

## ◆ observe_header()

void srecord::memory_walker_writer::observe_header | ( | const record * | rec | ) |
| protectedvirtual

The observe_header method is used to inform the walker of the header record.

The default does nothing.

Parameters

  rec | The record to be processed.

Reimplemented from srecord::memory_walker.

## ◆ observe_start_address()

void srecord::memory_walker_writer::observe_start_address | ( | const record * | rec | ) |
| protectedvirtual

The observe_start_address method is used to inform the walker of the execution start address record.

The default does nothing.

Parameters

  rec | The record to be processed.

Reimplemented from srecord::memory_walker.

The documentation for this class was generated from the following file:

- memory/walker/writer.h